Subject: [PATCH] clocksource: arm_arch_timer: Don't assume clock runs in suspend

From: [email-masked] (Brian Norris)
Date: Tue, 18 Oct 2016 18:36:13 -0700

On Tue, Oct 18, 2016 at 06:24:41PM -0700, Stephen Boyd wrote:
> Just curious, do we enter this state during cpuidle as well? Or
> is it only across suspend that the clock stops working?

I believe we do not on either rk3288 or rk3399. We'd have to be powering
off almost the entire system before we'd be able to gate the 24 MHz
oscillator, AIUI.

Brian